package com.retdata.yaoyibi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 企业信息
 */
@Data
public class CsoSysDeptSearchDto {
    private Integer deptId;
    private String name;
    /**
     * 级别，从1开始，1要易业务管理平台，2药企，3一级CSO，4二级CSO，5其他
     */
    private Integer level;
    /**
     * 签约灵工状态
     */
    private String subjectType;
    /**
     * 企业统一社会信用代码
     */
    private String taxCode;
    /**
     * 删除标志（0代表存在 1代表删除）
     */
    private String delFlag;

    /**
     * 下级企业数量
     */
    private Integer childrenCount;

    /**
     * 是否渠道
     */
    private Boolean isChannel;

    /**
     * 税源地及限额
     */
    private String subjectLocationAndLimitAmount;

    /**
     * 认证人数（相同人员去重）：通过sys_user_sub表统计认证成功人数(税邦云对应的认证成功状态cert_status=15, 其他税源地认证成功状态是cert_status=1)
     */
    private Integer certifiedUserCount;

    /**
     * 取值取为这个企业实际做了任务的人的人数（企业发的大包再分发后给了不同人的也统计）
     */
    private Integer packageUserCount;
    
    private String signProduct;
    
    private int lastYearGmv;
    
    private int currentYearGmv;
    
    private double nrr;
    
}
