package com.retdata.yaoyibi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDate;
import java.util.Date;

/**
 * 计划包
 */
@Data
@TableName("sys_impl_plan")
public class SysImplPlan {
    /**
     * 计划包ID
     */
    @TableId(type = IdType.AUTO)
    private Long planId;
    
    /**
     * 计划包名称
     */
    private String planName;

    /**
     * 计划分值
     */
    private Long planScore;

    /**
     * 签发时间
     */
    private LocalDate planIssue;

    /**
     * 截止日期
     */
    private LocalDate planExpiry;

    /**
     * 来源公司ID
     */
    private Long consignorId;

    /**
     * 承接公司ID
     */
    private Long consigneeId;

    /**
     * 推广药品ID列表
     */
    private String skuId;

    /**
     * 下发状态
     */
    private String planState;

    /**
     * 拆解状态
     */
    private String disassembleState;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 待拆解分值
     */
    private Long availScore;
}
