package com.retdata.yaoyibi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.*;

/**
 * 积分包
 */
@Data
public class WmScorePackage {

    public static final Set<String> ENT_PACKAGE_TYPEID_SET =
            Collections.unmodifiableSet(new HashSet<>(Arrays.asList("0", "1", "2")));

    public static final Set<String> USER_PACKAGE_TYPEID_SET =
            Collections.unmodifiableSet(new HashSet<>(Arrays.asList("3", "4", "5")));

    public static final Set<String> APPROVED_SCORE_PACKAGE_STATUS_SET =
            Collections.unmodifiableSet(new HashSet<>(Arrays.asList("4", "5", "9")));

    /**
     * 上海问云生物科技有限公司，积分值需要除以100
     */
    public static final Integer SPECIAL_DEPT_ID=1611890580;

    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 积分包名称
     */
    private String scorePackageName;

    /**
     * 积分包类型,  0,1,2-大包(即企业级包), 3,4,5-小包(即个人包)
     * (具体来说typeid  0 药企  1一级代理商 2二级代理商 3全职学术推广员 4兼职学术推广员 5招商经理)
     */
    private String typeid;

    /**
     * 发包方企业id
     */
    private String sendPackageDeptId;

    /**
     * 接包方的企业id
     */
    private String deptId;

    /**
     * 积分包值
     */
    private String score;

    /**
     * 发包时间
     */
    private Date createTime;

    /**
     * 个人包的积分包状态(sys_dict_item表 type='score_package_status')
     */
    private String scorePackageStatus;

    /**
     * 推广药品
     */
    private String drugtable;

    /**
     * 个人包的完成时间
     */
    private Date packageFinishTime;

    /**
     * 积分包结算状态
     */
    private Integer settleStatus;
}
