package com.retdata.yaoyibi.domain;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 积分包导出结果
 */
@Data
public class WmScorePackageExportDto {

    private Integer id;

    /**
     * 积分包名称
     */
    private String scorePackageName;

    /**
     * 积分包层级,  0,1,2-大包(即企业级包), 3,4,5-小包(即个人包)
     * (具体来说typeid  0 药企  1一级代理商 2二级代理商 3全职学术推广员 4兼职学术推广员 5招商经理)
     */
    private String typeid;

    /**
     * 发包方企业
     */
    private CsoSysDeptSummary sendPackageDept;

    /**
     * 接包方的企业
     */
    private CsoSysDeptSummary dept;

    /**
     * 个人包的接包人
     */
    private String user;

    /**
     * 积分包值
     */
    private Integer score;

    /**
     * 发包时间
     */
    private Date createTime;

    /**
     * 大包完成状态
     */
    private String packageFinishStatus;

    /**
     * 个人包的积分包状态(sys_dict_item表 type='score_package_status')
     */
    private String scorePackageStatus;

    /**
     * 推广药品
     */
    private String drugtable;

    /**
     * 个人包的完成时间
     */
    private Date packageFinishTime;

    /**
     * 个人包的结算金额
     */
    private BigDecimal settleAmount;

    /**
     * 个人包的实际支付金额
     */
    private BigDecimal settleActualAmount;

    /**
     * 最新的结算记录
     */
    private WmScorePackageSettleNote latestSettleNote;

    /**
     * 个人包的结算成功时间
     */
    private Date settleNotifyTime;

    /**
     * 结算记录数
     */
    private Integer settleCount;

    /**
     * 上一级积分包id
     */
    private String relationScoreId;

    /**
     * 公对公结算金额
     */
    private BigDecimal p2pAmount;

    /**
     * 公对公服务费
     */
    private BigDecimal p2pServiceAmount;

    /**
     * 总结算金额=本级结算金额+子孙节点结算金额
     */
    private BigDecimal totalAmount;

    /**
     * 积分包结算状态
     */
    private Integer settleStatus;
}
