package com.retdata.yaoyibi.domain;

import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class WmScorePackageSearchParams {
    /**
     * 积分包名称/ID
     */
    private String nameOrId;

    /**
     * 源头包发包企业ID
     */
    private String[] rootPackageSendPackageDeptId;

    /**
     * 源头包起始发包时间
     */
    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
    private Date rootPackageCreateTimeGe;

    /**
     * 源头包结束发包时间
     */
    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
    private Date rootPackageCreateTimeLe;

    /**
     * 源头包起始完成时间
     */
    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
    private Date rootPackageFinishTimeGe;

    /**
     * 源头包结束完成时间
     */
    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
    private Date rootPackageFinishTimeLe;

    /**
     * 起始完成时间
     */
    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
    private Date packageFinishTimeGe;

    /**
     * 结束完成时间
     */
    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
    private Date packageFinishTimeLe;

    /**
     * 起始结算成功时间
     */
    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
    private Date settleNotifyTimeGe;

    /**
     * 结束结算成功时间
     */
    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
    private Date settleNotifyTimeLe;

    /**
     * 个人包的积分包状态(sys_dict_item表 type='score_package_status')
     */
    private String[] scorePackageStatus;

    /**
     * 积分包类型,  0,1,2-大包(即企业级包), 3,4,5-小包(即个人包)
     * (具体来说typeid  0 药企  1一级代理商 2二级代理商 3全职学术推广员 4兼职学术推广员 5招商经理)
     */
    private String[] typeid;

    /**
     * 积分包层级，从0开始
     */
    private Integer[] level;

    /**
     * 上一级积分包id
     */
    private String relationScoreId;

    /**
     * 是否获取子包数量
     */
    private boolean fetchChildrenCount;

    /**
     * 接包方级别，1一级CSO，2二级CSO，3个人包
     */
    private Integer packageLevel;

    /**
     * 接包对象
     */
    private String[] receiverName;

}
