package com.retdata.yaoyibi.domain;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 积分包结算树节点
 */
@Data
public class WmScorePackageSettleTreeNode {

    private Integer id;

    /**
     * 积分包层级,  0,1,2-大包(即企业级包), 3,4,5-小包(即个人包)
     * (具体来说typeid  0 药企  1一级代理商 2二级代理商 3全职学术推广员 4兼职学术推广员 5招商经理)
     */
    private String typeid;

    /**
     * 个人包的结算金额
     */
    private BigDecimal settleAmount;

    /**
     * 公对公结算金额
     */
    private BigDecimal p2pAmount;

    /**
     * 公对公服务费
     */
    private BigDecimal p2pServiceAmount;

    /**
     * 总结算金额=本级结算金额+子孙节点结算金额
     */
    private BigDecimal totalAmount;

    /**
     * 实际支付金额
     */
    private BigDecimal settleActualAmount;

    /**
     * 实际总支付金额=本级支付金额+子孙节点支付金额
     */
    private BigDecimal totalActualAmount;

    /**
     * 上一级积分包id
     */
    private String relationScoreId;

    /**
     * 个人包的积分包状态(sys_dict_item表 type='score_package_status')
     */
    private String scorePackageStatus;

    /**
     * 积分包值
     */
    private Integer score;

    /**
     * 企业包完成企业任务积分（审批通过以后）
     */
    private Integer approvedEntTaskScore;

    /**
     * 核准积分值
     */
    private Integer approvedScore;

    /**
     * 发包方企业id
     */
    private String sendPackageDeptId;

    /**
     * 积分包结算状态
     */
    private Integer settleStatus;

    /**
     * 个人包的完成时间
     */
    private Date packageFinishTime;

    /**
     * 个人包的结算成功时间
     */
    private Date settleNotifyTime;

    /**
     * 子节点
     */
    private List<WmScorePackageSettleTreeNode> children;
    
    private Integer deptId;
}
